# MathWorld

## What's MathWorld?

MathWolrd is a python module for using sympy with analytic geometry.

Use objects to simulate geometric elements on a 2D plane, such as points, lines, and segments. By using SymPy to define their characteristics, it is possible to utilize MathWorld to solve symbolic problems on the Cartesian plane.

There are three classes representing geometric objects:

- class Point: represents a point from its coordinates
- class Line: represents a line from its equation
- class Segment: represents a segment from its extremes

These elements have several attributes and methods, which ensure complete and efficient use

You can check out the documentation in the [repo Wiki](https://github.com/PinkPantherPC/MathWorld/wiki/Documentation)

## Last Release

Compared with version 0.1.0, external functions have been included in classes such as `@staticmethod` and the documentation has been improved for a better approach! I also improved the handling of variables of type float.

You will be able to see more details within the [Github Releases](https://github.com/PinkPantherPC/MathWorld/releases)

## Installation

To install _mathworld_ you can use pip (if you already have python installed)

Alternatively, you can download `MathWorld.zip` from the most recent [Github Release](https://github.com/PinkPantherPC/MathWorld/releases/tag/v0.1.1).

## Acknowledgments

This project makes use of [SymPy](https://www.sympy.org), a Python library for symbolic mathematics.

I gratefully acknowledge the developers and contributors of SymPy for their exceptional work in creating and maintaining this robust and versatile computational tool. SymPy is released under the [BSD license](https://github.com/sympy/sympy/blob/master/LICENSE).
